Bug 1423472 - dnf list updates should only print newest version
Summary: dnf list updates should only print newest version
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 26
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-17 12:05 UTC by Michael Mráka
Modified: 2017-07-25 16:55 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-07-25 16:55:36 UTC


Attachments (Terms of Use)

Description Michael Mráka 2017-02-17 12:05:08 UTC
Description of problem:
`dnf list updates`  should only print newest version like `dnf list` does.

Version-Release number of selected component (if applicable):
dnf 2.0.1

How reproducible:
always

Steps to Reproduce:
1. dnf list dnf
2. dnf list updates dnf
3.

Actual results:
# dnf list  dnf
Last metadata expiration check: 0:54:42 ago on Fri Feb 17 11:56:18 2017 CET.
Installed Packages
dnf.noarch                   2.0.0_1-81g8b9ce5d.fc24                    rpmsoftwaremanagement-dnf-nightly
Available Packages
dnf.noarch                   2.0.1_1-15ga164bf0.fc24                    rpmsoftwaremanagement-dnf-nightly 
dnf.src                      2.0.1_1-15ga164bf0.fc24                    rpmsoftwaremanagement-dnf-nightly 

# dnf  list  updates dnf
Last metadata expiration check: 0:54:50 ago on Fri Feb 17 11:56:18 2017 CET.
Upgraded Packages
dnf.noarch                    2.0.0_1-81g8b9ce5d.fc24                    rpmsoftwaremanagement-dnf-nightly
dnf.noarch                    2.0.0_1-81g8b9ce5d.fc24                    rpmsoftwaremanagement-dnf-nightly
dnf.noarch                    2.0.0_1-81g8b9ce5d.fc24                    rpmsoftwaremanagement-dnf-nightly
dnf.noarch                    2.0.0_1-81g8b9ce5d.fc24                    rpmsoftwaremanagement-dnf-nightly
dnf.src                       2.0.0_1-81g8b9ce5d.fc24                    rpmsoftwaremanagement-dnf-nightly
dnf.src                       2.0.0_1-81g8b9ce5d.fc24                    rpmsoftwaremanagement-dnf-nightly
dnf.src                       2.0.0_1-81g8b9ce5d.fc24                    rpmsoftwaremanagement-dnf-nightly
dnf.src                       2.0.0_1-81g8b9ce5d.fc24                    rpmsoftwaremanagement-dnf-nightly
dnf.noarch                    2.0.0_1-86g8fb0575.fc24                    rpmsoftwaremanagement-dnf-nightly
dnf.src                       2.0.0_1-86g8fb0575.fc24                    rpmsoftwaremanagement-dnf-nightly
dnf.noarch                    2.0.0_1-87gdb74147.fc24                    rpmsoftwaremanagement-dnf-nightly
dnf.src                       2.0.0_1-87gdb74147.fc24                    rpmsoftwaremanagement-dnf-nightly
dnf.noarch                    2.0.1_1-1g74ee682.fc24                     rpmsoftwaremanagement-dnf-nightly
dnf.src                       2.0.1_1-1g74ee682.fc24                     rpmsoftwaremanagement-dnf-nightly
dnf.noarch                    2.0.1_1-3g9de161d.fc24                     rpmsoftwaremanagement-dnf-nightly
dnf.noarch                    2.0.1_1-3g9de161d.fc24                     rpmsoftwaremanagement-dnf-nightly
dnf.noarch                    2.0.1_1-3g9de161d.fc24                     rpmsoftwaremanagement-dnf-nightly
dnf.src                       2.0.1_1-3g9de161d.fc24                     rpmsoftwaremanagement-dnf-nightly
dnf.src                       2.0.1_1-3g9de161d.fc24                     rpmsoftwaremanagement-dnf-nightly
dnf.src                       2.0.1_1-3g9de161d.fc24                     rpmsoftwaremanagement-dnf-nightly
dnf.noarch                    2.0.1_1-5ge58e357.fc24                     rpmsoftwaremanagement-dnf-nightly
dnf.src                       2.0.1_1-5ge58e357.fc24                     rpmsoftwaremanagement-dnf-nightly
dnf.noarch                    2.0.1_1-10g5210b9d.fc24                    rpmsoftwaremanagement-dnf-nightly
dnf.src                       2.0.1_1-10g5210b9d.fc24                    rpmsoftwaremanagement-dnf-nightly
dnf.noarch                    2.0.1_1-15ga164bf0.fc24                    rpmsoftwaremanagement-dnf-nightly
dnf.src                       2.0.1_1-15ga164bf0.fc24                    rpmsoftwaremanagement-dnf-nightly

Expected results:
# dnf list  dnf
Last metadata expiration check: 0:54:42 ago on Fri Feb 17 11:56:18 2017 CET.
Installed Packages
dnf.noarch                   2.0.0_1-81g8b9ce5d.fc24                    rpmsoftwaremanagement-dnf-nightly
Available Packages
dnf.noarch                   2.0.1_1-15ga164bf0.fc24                    rpmsoftwaremanagement-dnf-nightly 
dnf.src                      2.0.1_1-15ga164bf0.fc24                    rpmsoftwaremanagement-dnf-nightly 

# dnf  list  updates dnf
Last metadata expiration check: 0:54:50 ago on Fri Feb 17 11:56:18 2017 CET.
Upgraded Packages
dnf.noarch                   2.0.1_1-15ga164bf0.fc24                    rpmsoftwaremanagement-dnf-nightly 
dnf.src                      2.0.1_1-15ga164bf0.fc24                    rpmsoftwaremanagement-dnf-nightly 


Additional info:
Also 'Upgraded Packages' label is misleading. Should be better 'Available upgrades:'.

Comment 1 Honza Silhan 2017-02-20 14:54:24 UTC
We will fix this.

Comment 2 Fedora End Of Life 2017-02-28 11:28:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Jaroslav Mracek 2017-06-05 14:21:11 UTC
I created patch (https://github.com/rpm-software-management/dnf/pull/835) that should help.

Comment 4 Fedora Update System 2017-07-24 14:51:05 UTC
libdnf-0.9.3-1.fc26 dnf-plugins-core-2.1.3-1.fc26 dnf-2.6.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 5 Fedora Update System 2017-07-25 04:26:46 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 6 Fedora Update System 2017-07-25 16:55:36 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.